Subject: bug#34179: 27.0.50; message hangs when buffer with process visible

From: martin rudalics <[email-masked]>
Date: Thu, 24 Jan 2019 17:05:35 +0100

>> It seems to be something in window-configuration-change-hook.  When I
 >> clear that hook, the problem goes away.  I'll try to find out what it
 >> is.
 >
 > Ok, we've got a winner: window--adjust-process-windows.  If I redefine
 > this to do nothing, the problem goes away.
 >
 > Could e567ac1495 Run window change functions during redisplay be
 > related?

If you see nothing related to that function in *Messages* could you
try removing the line

         (with-demoted-errors "Error adjusting window size: %S"

and its closing paren in 'window--adjust-process-windows' and see if
an error shows through?

martin